package com.prodyna.demo.calculator;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Stateless
@LocalBean
public class CalculatorBean implements Calculator {

	private Logger log = LoggerFactory.getLogger( getClass() );
	
	@Override
	public int add( int a, int b ) {
		log.info("Calculating " + a + "+" + b );
		return a + b;
	}
}
